diff --git a/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.css b/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.css
index a00d092..ca14f02 100644
--- a/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.css
+++ b/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.css
@@ -387,3 +387,9 @@ body.night {
 .night .highcharts-button {
   fill: #b1b1b1;
 }
+
+/* Fullscreen class */
+.fullscreened {
+  position:absolute;
+  top:0; right:0; bottom:0; left:0;
+}
diff --git a/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.js b/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.js
index f08afc1..b5837e6 100644
--- a/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.js
+++ b/vehicle/OVMS.V3/components/ovms_webserver/assets/ovms.js
@@ -243,6 +243,31 @@ $(function(){
 		$(this).closest(".slider").find(".slider-input")
 			.val(function(){return 1*this.value - 1;}).trigger("input");
 	});
+  
+  // Fullscreen button
+  document.fullScreenMode = document.fullScreen || document.mozFullScreen || document.webkitIsFullScreen;
+  $(document).on('mozfullscreenchange webkitfullscreenchange fullscreenchange', function() {
+    this.fullScreenMode = !this.fullScreenMode; 
+    if (this.fullScreenMode) { // Entered FullScreen
+      // $("#livestatus").addClass('fullscreened')
+    } else { // Left Fullscreen
+      // $("#livestatus").removeClass('fullscreened')
+    }
+  });
+  
+  $("body").on("click", "#gofullscreen", function(evt) {
+    element = document.getElementById("livestatus"); // hmm, might need to hit another div instead
+    if (element.requestFullscreen) {
+      element.requestFullscreen();
+    } else if (element.mozRequestFullScreen) {
+      element.mozRequestFullScreen();
+    } else if (element.webkitRequestFullscreen) {
+      element.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
+    } else if (element.msRequestFullscreen) {
+      element.msRequestFullscreen();
+    }
+    return false;
+  });
 	
   if (!monitorTimer)
     monitorTimer = window.setInterval(monitorUpdate, 1000);
@@ -254,3 +279,26 @@ $(function(){
   window.onpopstate = getpage;
   getpage();
 });
+
+(function () {
+    var viewFullScreen = document.getElementById("view-fullscreen");
+    if (viewFullScreen) {
+        viewFullScreen.addEventListener("click", function () {
+            var docElm = document.documentElement;
+            if (docElm.requestFullscreen) {
+                docElm.requestFullscreen();
+            }
+            else if (docElm.msRequestFullscreen) {
+                docElm = document.body; //overwrite the element (for IE)
+                docElm.msRequestFullscreen();
+            }
+            else if (docElm.mozRequestFullScreen) {
+                docElm.mozRequestFullScreen();
+            }
+            else if (docElm.webkitRequestFullScreen) {
+                docElm.webkitRequestFullScreen();
+            }
+        }, false);
+    }
+})();
+
diff --git a/vehicle/OVMS.V3/components/ovms_webserver/assets/script.js.gz b/vehicle/OVMS.V3/components/ovms_webserver/assets/script.js.gz
index e6ddab6..a1c72df 100644
Binary files a/vehicle/OVMS.V3/components/ovms_webserver/assets/script.js.gz and b/vehicle/OVMS.V3/components/ovms_webserver/assets/script.js.gz differ
diff --git a/vehicle/OVMS.V3/components/ovms_webserver/assets/style.css.gz b/vehicle/OVMS.V3/components/ovms_webserver/assets/style.css.gz
index d157049..1af54a8 100644
Binary files a/vehicle/OVMS.V3/components/ovms_webserver/assets/style.css.gz and b/vehicle/OVMS.V3/components/ovms_webserver/assets/style.css.gz differ
diff --git a/vehicle/OVMS.V3/components/ovms_webserver/src/web_cfg.cpp b/vehicle/OVMS.V3/components/ovms_webserver/src/web_cfg.cpp
index 9c5a1e0..51ab74d 100644
--- a/vehicle/OVMS.V3/components/ovms_webserver/src/web_cfg.cpp
+++ b/vehicle/OVMS.V3/components/ovms_webserver/src/web_cfg.cpp
@@ -1432,7 +1432,7 @@ void OvmsWebServer::HandleDashboard(PageEntry_t& p, PageContext_t& c)
   // output dashboard:
   const char* content =
     "<div class=\"panel panel-primary panel-single\">"
-      "<div class=\"panel-heading\">Dashboard</div>"
+      "<div class=\"panel-heading\">Dashboard&nbsp;<button class=\"btn btn-default btn-xs\" id=\"gofullscreen\">&#x239a;</button></div>"
       "<div class=\"panel-body\">"
         "<div class=\"receiver\" id=\"livestatus\">"
           "<div class=\"dashboard\" style=\"position: relative; width: 100%; height: 300px; margin: 0 auto\">"
